def clean_filename(filename):
    """Clean a string to make it suitable for use as a filename"""
    # Replace spaces and special characters
    return ''.join(c if c.isalnum() else '_' for c in filename).lower()

def hex_to_normalized_rgb(hex_color):
    # Remove the '#' symbol if present
    hex_color = hex_color.lstrip('#')

    # Convert the hex values to integers
    red = int(hex_color[0:2], 16)
    green = int(hex_color[2:4], 16)
    blue = int(hex_color[4:6], 16)

    # Normalize the values by dividing by 255
    normalized_rgb = (red / 255, green / 255, blue / 255)

    return normalized_rgb